Skip to main content
GET
/
v1
/
announcements
Wspólny strumień KRZ + MSiG
curl --request GET \
  --url https://api.krdata.pl/v1/announcements \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "source": "<string>",
      "id": "<string>",
      "occurred_at": "2023-12-25",
      "signature": "<string>",
      "entity_name": "<string>",
      "nip": "<string>",
      "krs": "<string>",
      "pesel": "<string>",
      "title": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123,
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

source
enum<string>
default:all
Available options:
krz,
msig,
all
filter_id
string | null
nip
string | null
Required string length: 10
krs
string | null
Required string length: 10
pesel
string | null
Required string length: 11
name
string | null
Required string length: 2 - 200
signature
string | null
Required string length: 2 - 200
date_from
string<date> | null
date_to
string<date> | null
append_first_entry
boolean
default:false
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
AnnouncementRow · object[]
required
limit
integer
required
offset
integer
required
has_more
boolean
required